      SUBROUTINE oldCMA_SET_ADDRESS(kunit,kword_addr,kret)
      implicit none
      integer, intent(in) :: kunit, kword_addr
      integer, intent(out):: kret
c     Sami Saarinen, ECMWF, 12/11/97 : gradually becomes obsolete
! === END OF INTERFACE BLOCK ===
      integer iret_pbio
      integer nobytes
      real zitem

      inquire(iolength=nobytes) zitem
      if (nobytes /= 8) then
         kret = -3
         return
      endif

      call PBSEEK(kunit, nobytes * kword_addr, 0, iret_pbio) ! Goto to new pos

      if (iret_pbio >= 0) then
         if (iret_pbio == nobytes * kword_addr) then ! Check against word bdry
            kret = kword_addr
         else
            kret = -4
         endif
      else
         kret = iret_pbio
      endif

      return
      END SUBROUTINE oldCMA_SET_ADDRESS
